<template>
    <section>
        <loading :active.sync="isLoading"
                 :can-cancel="true"
                 :is-full-page="fullPage">
        </loading>
        <div v-for="review in reviews">
            <div class="col-md-12 reviews-container" v-if="review.review_from">
                <div class="col-md-3">
                    <img  :src="review.review_from.avatar"  width="80px" height="80px" id="public_image" class="img-circle">
                </div>
                    <p> {{review.review_from_name}} </p>
                    <p class="small-light"> {{review.created_at | formatDate}} </p>
                <div class="col-md-9">
                    <p> {{review.description}} </p>
                    <div class="stars">
                        <span v-for="item in review.rate" class="fa fa-star checked"></span>
                        <span v-for="item in (5 - review.rate)" class="fa fa-star"></span>
                    </div>
                </div>
            </div>
        </div>
    </section>
</template>

<script>
    import Loading from 'vue-loading-overlay';


    export default {
        name: "reviews",
        props:['user'],
        components:{Loading},
        data(){
            return{
                reviews:'',
                isLoading:false,
                fullPage:false,

            }
        },
        mounted(){
            console.log(this.user);
            this.getReviews();
        },
        methods:{
          getReviews:function(){
              this.isLoading = true;
              axios.get('/dashboarduser/user-reviews/' + this.user.id, {
                  headers:{
                      'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content'),
                 }
              }).then(response => {
                  this.isLoading = false;
                  this.reviews = response.data;
              }).catch(e => {
                  this.isLoading = false;
              });
          }
        },
    }
</script>

<style scoped>

</style>